Package ghidra.pty.unix

# Class PosixC.Termios

java.lang.Object
com.sun.jna.Structure
ghidra.pty.unix.PosixC.Termios

Direct Known Subclasses:
  `PosixC.Termios.ByReference`

Enclosing interface:
  `PosixC`

@FieldOrder({"c_iflag","c_oflag","c_cflag","c_lflag","c_line","c_cc","c_ispeed","c_ospeed"}) public static class PosixC.Termios extends com.sun.jna.Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PosixC.Termios.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte[]`
  `c_cc`
  `int`
  `c_cflag`
  `int`
  `c_iflag`
  `int`
  `c_ispeed`
  `int`
  `c_lflag`
  `byte`
  `c_line`
  `int`
  `c_oflag`
  `int`
  `c_ospeed`
  `static final int`
  `ECHO`
  `static final int`
  `TCSANOW`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Termios()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TCSANOW

    public static final int TCSANOW
    See Also:
      - Constant Field Values

  - ### ECHO

    public static final int ECHO
    See Also:
      - Constant Field Values

  - ### c_iflag

    public int c_iflag

  - ### c_oflag

    public int c_oflag

  - ### c_cflag

    public int c_cflag

  - ### c_lflag

    public int c_lflag

  - ### c_line

    public byte c_line

  - ### c_cc

    public byte[] c_cc

  - ### c_ispeed

    public int c_ispeed

  - ### c_ospeed

    public int c_ospeed

- ## Constructor Details

  - ### Termios

    public Termios()